- entityDefinitions:
  - IDMB_Person_Name__get__Full_Name: '{75368890-4f3b-41d1-a8c8-74c992fe3c63}'
  - IDM_Person_Name__get__Full_Name: '{24ec3d7b-52d6-4d3f-bb09-9a1567f80c7f}'
    
  # {179d667e-299f-4931-8214-fdc32e87b064}
  # {fa79e97e-a90f-4b8f-ab4e-5155e35976b6}

  # {2f68f649-9522-487e-8423-7c3e197ab02d}
  # {2611f7c5-c2cf-4d9c-a6da-328ad211d36b}

- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_PersonName;'
    name: Person Name
    index: 402
    customTagName: 'personName'
    registerForTemplate: yes
    instancesLabeledByRAMB: '&IDMB_Person_Name__get__Full_Name;'
    attributes:
    - instance: '&IDA_GivenName;'
      customTagName: 'givenName'
    - instance: '&IDA_FamilyName;'
      customTagName: 'familyName'

  - returnAttributeMethodBinding: '&IDMB_Person_Name__get__Full_Name;'
    executesMethod: '&IDM_Person_Name__get__Full_Name;'

  - buildAttributeMethod: '&IDM_Person_Name__get__Full_Name;'
    forClassId: '&IDC_PersonName;'
    verb: 'get'
    name: 'Full Name'
    accessModifierId: '&IDI_AccessModifier_Public;'
    initialValue: ''
    returnsAttributeId: '&IDA_Value;'
    buildsWithAttributes:
    - order: a
      executes: '&IDMB_Person_Name__get__Given_Name;'
    - order: b
      executes: '&IDMB_Common_Text__get__Single_Space;'
    - order: c
      executes: '&IDMB_Person_Name__get__Family_Name;' #@
  